Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#57782 - [dovecot] imap-login: Fatal: Dovecot version mismatch: Master is v2.3.0, imap-login is v2.3.0.1

Attached to Project: Community Packages
Opened by Y.G. (theYinYeti) - Saturday, 10 March 2018, 19:01 GMT
Last edited by Eli Schwartz (eschwartz) - Sunday, 11 March 2018, 03:38 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To No-one
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

Following today’s upgrade to dovecot 2.3.0.1-2, I cannot login to my Dovecot server; I get this error in systemd’s journal:

```
imap-login: Fatal: Dovecot version mismatch: Master is v2.3.0, imap-login is v2.3.0.1 (if you don't care, set version_ignore=yes)
```

Additional info:
* dovecot 2.3.0.1-2

Steps to reproduce:
Nothing particular.
This task depends upon

Closed by  Eli Schwartz (eschwartz)
Sunday, 11 March 2018, 03:38 GMT
Reason for closing:  Not a bug
Comment by Y.G. (theYinYeti) - Saturday, 10 March 2018, 19:05 GMT
Sorry, I have been to hasty. This states that dovecot must be restarted after an upgrade:
http://readlist.com/lists/archlinux.org/arch/3/19520.html

Thus, this bug report should be read in a new light: The dovecot package should probably configured to always restart dovecot.service if it is running.
Comment by loqs (loqs) - Saturday, 10 March 2018, 19:11 GMT
That is the responsibility of the system administrator after performing pacman -Syu.
I am not aware of any package that checks on services it supplies after upgrade and performs restarts or checks configs are still valid etc.

Loading...